#ifndef __OSP_SEM_H__
#define __OSP_SEM_H__

extern void *osp_create_sem(int cnt);
extern void osp_wait_sem(sem_t *sem);
extern void osp_post_sem(sem_t *sem);
extern void osp_delete_sem(sem_t *sem);

extern void osp_wait_event_sem(int task_id);
extern void osp_post_event_sem(int task_id);
extern void osp_post_timer_event_sem(int task_id);

#endif

